<template lang="pug">
label.checkbox
	input.mr-1( type="checkbox" :checked='modelValue' @input='handleInput' )
	slot
</template>

<script setup>
const props = defineProps({
	modelValue: Boolean
})
const emit = defineEmits([ "update:modelValue" ])

const handleInput = e => emit("update:modelValue", e.target.checked)
</script>

<style lang="scss" scoped>
label * {
	user-select: none;
}
</style>